<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.ScopeStripper.ScopeStripper</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../ScopeStripper.html" >ScopeStripper</a>
</div><div class="class-name">class ScopeStripper

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Processors/ScopeStripper.py.html" target="detail">../Synopsis/Processors/ScopeStripper.py</a></div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line12" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="ScopeStripper-inheritance" src="ScopeStripper-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ScopeStripper-inheritance_map" />
<map name="ScopeStripper-inheritance_map"></map>
 <div class="doc">Strip common prefix from the declaration's name.
    Keep a list of root nodes&#44; such that children whos parent
    scopes are not accepted but which themselfs are correct can
    be maintained as new root nodes.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="declarations">declarations</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line23" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="inside">inside</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line24" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="_scope">_scope</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line25" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="scope">scope</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line18" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line20" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line27" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="strip_name">strip_name</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.strip_name" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line46" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="strip_declarations">strip_declarations</a>(<span class="variable">self</span>, <span class="variable">declarations</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.strip_declarations" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line55" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="strip_types">strip_types</a>(<span class="variable">self</span>, <span class="variable">types</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.strip_types" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line62" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ScopeStripper.html#strip" >strip</a></span>(<span class="variable">self</span>, <span class="variable">declaration</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.strip" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line77" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">test whether the declaration matches one of the prefixes&#44; strip
        it off&#44; and return success.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_scope">visit_scope</a>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line96" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class">visit_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_class" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line107" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class_template">visit_class_template</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_class_template" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line112" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_declaration" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line121" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enumerator">visit_enumerator</a>(<span class="variable">self</span>, <span class="variable">enumerator</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_enumerator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line127" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enum">visit_enum</a>(<span class="variable">self</span>, <span class="variable">enum</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_enum" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line132" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function">visit_function</a>(<span class="variable">self</span>, <span class="variable">function</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_function" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line139" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parameter">visit_parameter</a>(<span class="variable">self</span>, <span class="variable">parameter</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_parameter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line146" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function_template">visit_function_template</a>(<span class="variable">self</span>, <span class="variable">function</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_function_template" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line151" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_operation">visit_operation</a>(<span class="variable">self</span>, <span class="variable">operation</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_operation" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line159" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_operation_template">visit_operation_template</a>(<span class="variable">self</span>, <span class="variable">operation</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_operation_template" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line164" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_meta_module">visit_meta_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.visit_meta_module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line169" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="strip">strip</a>(<span class="variable">self</span>, <span class="variable">declaration</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ScopeStripper.ScopeStripper.strip" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ScopeStripper.py.html#line77" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">test whether the declaration matches one of the prefixes&#44; strip
        it off&#44; and return success. Success means that the declaration matches
        the prefix set and thus should not be removed from the ASG.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
